import React from 'react'
import {
    Form, message, Modal, Row, Col, Radio, Tabs, Select, DatePicker, Input, TimePicker, Button, Divider, Checkbox, Table
} from 'antd';
import PatientCourseInfo from './PatientCourseInfo.jsx'
import OrdersModel from "../orders/ordersModel";

let userData = {}
class demo extends React.Component {
    constructor(props) {
        super(props);
        userData = sessionStorage.userData ? JSON.parse(sessionStorage.userData) : {};
        this.state = {
            admID:"256",
        }
    }

    componentDidMount() {
       
    }

    onConsumeRef = (ref) => {
        this.childConsume = ref;
    };

    openCourse() {
        var admID="256";
        var patID="51"
        this.childConsume.showModal(admID,patID);
    }


    render() {
        return (
            <div style={{"width":"100%","height":"100%"}}>
                <Button  type='primary' onClick={this.openCourse.bind(this)}>弹框</Button>
                <PatientCourseInfo
                    activeKey="PatientCourseInfo"
                    onRef={this.onConsumeRef}
                />
            </div>
        )
    }


}export default demo